import e from "../../node_modules/.pnpm/element-plus@2.5.6_vue@3.4.21/node_modules/element-plus/es/components/table/src/table/defaults.mjs";
import t from "../../node_modules/.pnpm/element-plus@2.5.6_vue@3.4.21/node_modules/element-plus/es/components/table/src/table-column/defaults.mjs";
const l = t, r = {
  ...e,
  emptyFormat: {
    type: String,
    default: "-"
  },
  rowKey: {
    type: [String, Array]
  },
  fill: Boolean,
  columns: {
    type: Array
  },
  showIndex: {
    type: Boolean,
    default: !0
  },
  ellipsisProps: {
    type: Object,
    default() {
      return {
        effect: "light",
        placement: "top"
      };
    }
  },
  selections: {
    type: Array,
    default() {
      return [];
    }
  },
  rowSelection: {
    type: Object
  },
  expandable: {
    type: [Object, Boolean]
  },
  mergeDataIndexs: {
    type: Array
  }
}, n = {
  ...r,
  title: String,
  request: Function,
  search: {
    type: [Object, Boolean],
    default: !0
  },
  columns: {
    type: Array,
    default() {
      return [];
    }
  },
  pagination: {
    type: [Boolean, Object],
    default() {
      return !0;
    }
  },
  showMoreTools: {
    type: Boolean,
    default: !0
  },
  cardBordered: Boolean
};
export {
  n as WetProTableProps,
  l as wetBaseColumnProps,
  r as wetSchemaTableProps
};
